pkgname=systemd-boot-manager
pkgver=1
pkgrel=7
pkgdesc='A simple tool to maintain systemd-boot & systemd-boot entries for LunaOS'
arch=(any)
url='https://gitlab.com/LunaOS/pkgbuilds/lunaos-extra-pkgbuilds/systemd-boot-manager'
license=(GPL2)
backup=('etc/default/sdboot-manager')
depends=(systemd
         findutils
         grep
         gawk)
source=(git+https://gitlab.com/LunaOS/pkgbuilds/lunaos-extra-pkgbuilds/systemd-boot-manager)
sha256sums=('SKIP')
package()
{
    install -D -m755 "${srcdir}/${pkgname}/sdboot-manager" "${pkgdir}/usr/bin/sdboot-manager"
    install -D -m644 "${srcdir}/${pkgname}/sdboot-manager.conf" "${pkgdir}/etc/default/sdboot-manager"
    install -D -m644 "${srcdir}/${pkgname}/sdboot-kernel-update.hook" "${pkgdir}/usr/share/libalpm/hooks/sdboot-kernel-update.hook"
    install -D -m644 "${srcdir}/${pkgname}/sdboot-kernel-remove.hook" "${pkgdir}/usr/share/libalpm/hooks/sdboot-kernel-remove.hook"
    install -D -m644 "${srcdir}/${pkgname}/sdboot-systemd-update.hook" "${pkgdir}/usr/share/libalpm/hooks/sdboot-systemd-update.hook"
}
